Skip to content

Get a resource

GET
/api/v1/resources/{id}
curl --request GET \
--url https://api.aletheia-ops.com/api/v1/resources/example \
--header 'Authorization: Bearer <token>'
id
required
string

OK

Media typeapplication/json

Public shape of a discovered resource

object
id
string
aws_account_id
string
region
string
resource_type
string
native_id
string
arn
string
name
string
tags
object
key
additional properties
string
configuration
object
key
additional properties
any
config_hash
string
status
string
management_state
string
first_discovered_at
string format: date-time
last_seen_at
string format: date-time
last_changed_at
string format: date-time
deleted_at
string format: date-time
Examplegenerated
{
"id": "example",
"aws_account_id": "example",
"region": "example",
"resource_type": "example",
"native_id": "example",
"arn": "example",
"name": "example",
"tags": {
"additionalProperty": "example"
},
"configuration": {},
"config_hash": "example",
"status": "example",
"management_state": "example",
"first_discovered_at": "2026-04-15T12:00:00Z",
"last_seen_at": "2026-04-15T12:00:00Z",
"last_changed_at": "2026-04-15T12:00:00Z",
"deleted_at": "2026-04-15T12:00:00Z"
}

No valid credential was presented, or it has expired.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "unauthorized",
"message": "authentication required"
}

Authenticated, but not permitted to perform this action.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "forbidden",
"message": "you do not have permission to perform this action"
}

The resource does not exist, or belongs to another organization. The two are deliberately indistinguishable.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
Examplenot_found
{
"code": "not_found",
"message": "resource not found"
}

An unexpected failure. Diagnostic detail is logged server-side and deliberately not returned. Quote the X-Request-Id response header when reporting one.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
Exampleinternal_error
{
"code": "internal_error",
"message": "internal server error"
}